%define module	pyperclip

Name:		python-%{module}
Version:	1.9.0
Release:	%mkrel 3
Summary:	A cross-platform clipboard module for Python
License:	MIT
Group:		Development/Python
URL:		https://github.com/asweigart/pyperclip
Source0:	https://pypi.io/packages/source/p/%{module}/%{module}-%{version}.tar.gz
BuildArch:	noarch

%description
Pyperclip is a cross-platform Python module for copy and paste
clipboard functions.

%package -n	python3-%{module}
Summary:	A cross-platform clipboard module for Python 3
Group:		Development/Python
BuildArch:	noarch
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
Pyperclip is a cross-platform Python 3 module for copy and paste
clipboard functions.

%prep
%setup -q -n %{module}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pyperclip

%files -n python3-%{module} -f %{pyproject_files}


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.9.0-3.mga10
+ Revision: 2238874
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 wally <wally> 1.9.0-2.mga10
+ Revision: 2155644
- rebuild for python3.13

* Thu Jul 11 2024 daviddavid <daviddavid> 1.9.0-1.mga10
+ Revision: 2080680
- new version: 1.9.0

* Wed Dec 13 2023 papoteur <papoteur> 1.8.2-5.mga10
+ Revision: 2017863
- rebuild for python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 1.8.2-4.mga9
+ Revision: 1822833
- Mageia 9 Mass Rebuild

* Tue Feb 15 2022 mrambo3501 <mrambo3501> 1.8.2-3.mga9
+ Revision: 1775555
- rebuild for python-3.10

* Mon Mar 22 2021 daviddavid <daviddavid> 1.8.2-2.mga9
+ Revision: 1707350
- rebuild for python 3.9

* Fri Feb 26 2021 daviddavid <daviddavid> 1.8.2-1.mga9
+ Revision: 1691690
- new version: 1.8.2

* Thu Oct 22 2020 daviddavid <daviddavid> 1.8.1-1.mga8
+ Revision: 1638531
- new version: 1.8.1

* Tue Mar 31 2020 daviddavid <daviddavid> 1.8.0-1.mga8
+ Revision: 1562575
- new version: 1.8.0

* Sun Feb 16 2020 umeabot <umeabot> 1.7.0-4.mga8
+ Revision: 1532073
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 daviddavid <daviddavid> 1.7.0-3.mga8
+ Revision: 1441466
- rebuild for python3.8
- drop python2 support

* Thu Jan 10 2019 guillomovitch <guillomovitch> 1.7.0-2.mga7
+ Revision: 1354563
- rebuild for python 3.7

* Tue Jan 08 2019 shlomif <shlomif> 1.7.0-1.mga7
+ Revision: 1352233
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.6.0-2.mga7
+ Revision: 1289791
- Mageia 7 Mass Rebuild

* Wed Jan 10 2018 daviddavid <daviddavid> 1.6.0-1.mga7
+ Revision: 1192135
- new version: 1.6.0
- rename python-pyperclip to python2-pyperclip

* Sat Aug 05 2017 pterjan <pterjan> 1.5.27-2.mga7
+ Revision: 1135579
- Rebuild for python 3.6

* Sun Apr 10 2016 daviddavid <daviddavid> 1.5.27-1.mga6
+ Revision: 1000080
- imported package python-pyperclip

